SDL_ConvertSurfaceFormat(3)

NAME
SDL_ConvertSurfaceFormat - Copy an existing surface to a new surface of the specified format.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Surface* SDL_ConvertSurfaceFormat(SDL_Surface *surface, SDL_PixelFormatEnum pixel_format);

DESCRIPTION
This function operates just like SDL_ConvertSurface (), but accepts an SDL_PixelFormatEnum
 value instead of an SDL_PixelFormat
 structure. As such, it might be easier to call but it doesn't have access to palette information for the destination surface, in case that would be important.

FUNCTION PARAMETERS

surface
    the existing SDL_Surface
     structure to convert

pixel_format
    the new pixel format

RETURN VALUE
Returns the new SDL_Surface
 structure that is created or NULL if it fails; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_ConvertSurface(3), SDL_ConvertSurfaceFormatAndColorspace(3), SDL_DestroySurface(3)